Bug 463388 - [LTC 6.0 FEAT] 201154:LoP Upgrade binutils to 2.18 or higher
[LTC 6.0 FEAT] 201154:LoP Upgrade binutils to 2.18 or higher
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: binutils (Show other bugs)
6.0
ppc64 All
high Severity high
: alpha
: 6.0
Assigned To: Denys Vlasenko
Michal Nowak
: FutureFeature
Depends On:
Blocks: 356741 554559
  Show dependency treegraph
 
Reported: 2008-09-23 00:00 EDT by IBM Bug Proxy
Modified: 2013-03-07 21:04 EST (History)
7 users (show)

See Also:
Fixed In Version: binutils-2.19.51.0.14-34.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 14:52:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-23 00:00:56 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-17 17:19 EDT
1. Feature Overview:
Feature Id:	[201154]
a. Name of Feature:	LoP Upgrade to GCC-4.3 and related packages - binutils
b. Feature Description
GCC-4.3 contains Decimal Floating Point support plus many additional
optimizations useful to POWER. Please update binutils along with the request to
update gcc to the latest level.

2. Feature Details:
Sponsor:	PPC
Architectures:
ppc64

Arch Specificity: Both
Affects Toolchain: Yes
Delivery Mechanism: Direct from community
Category:	Toolchain
Request Type:	Package - Update Version
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	no
g. Component Version Target:	GCC-4.3, binutils-2.18, GLIBC-2.7+
Performance Assistance:	yes

3. Business Case
Support multiple POWER6/7 features while minimizing backports

Benefits
Performance improvements for POWER6/7 customers, direct support for POWER6/7
hardware features.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Michael Hohnbaum, hbaum@us.ibm.com, 503-578-5486

Technical contact(s):
Steve Munroe, sjmunroe@us.ibm.com
Comment 1 Bill Nottingham 2008-10-02 13:38:04 EDT
The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 IBM Bug Proxy 2009-03-02 15:21:59 EST
RHEL6 will be based on Fedora11 and that will based on binutils 2.19.1, so we are all set here.
Comment 3 releng-rhel@redhat.com 2009-10-29 09:43:40 EDT
Fixed in 'binutils-2.19.51.0.14-34.el6', included in compose 'RHEL6.0-20091028.0'.
Moving to ON_QA.
Comment 4 IBM Bug Proxy 2009-11-16 13:40:50 EST
------- Comment From halves@linux.vnet.ibm.com 2009-11-16 13:33 EDT-------
binutils-2.19.51.0.14-34.el6.ppc64 found on RHEL6-20091110.

Regards,

Higor
Comment 6 IBM Bug Proxy 2010-05-03 12:53:40 EDT
------- Comment From bergner@vnet.ibm.com 2010-05-03 12:48 EDT-------
Binutils verified to be v2.20 on RHEL6 Beta 1.  Closing.
Comment 7 releng-rhel@redhat.com 2010-07-02 14:52:42 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.